aboutsummaryrefslogtreecommitdiff
path: root/scaf/compiler/scafc
diff options
context:
space:
mode:
authorHans-Christoph Steiner <eighthave@users.sourceforge.net>2005-12-15 07:26:47 +0000
committerHans-Christoph Steiner <eighthave@users.sourceforge.net>2005-12-15 07:26:47 +0000
commit37b6643df2df7d784a31ca73f7bb90dc109c2401 (patch)
treea8664e5adcfcb60cae136063d627549ecb76619b /scaf/compiler/scafc
parentc50ce0e0217ea07e2d450add2ab29cecea66fa96 (diff)
removing PDP source (except debian files) before import of PDP 0.12.4
svn path=/trunk/externals/pdp/; revision=4217
Diffstat (limited to 'scaf/compiler/scafc')
-rwxr-xr-xscaf/compiler/scafc44
1 files changed, 0 insertions, 44 deletions
diff --git a/scaf/compiler/scafc b/scaf/compiler/scafc
deleted file mode 100755
index ae800e5..0000000
--- a/scaf/compiler/scafc
+++ /dev/null
@@ -1,44 +0,0 @@
-#!/bin/sh
-#scaf->scafo compiler
-
-if test "xx$1" == "xx"
-then
- echo
- echo "scaf rules compiler"
- echo "usage:"
- echo " scafc source [dest]"
- echo
- exit 0
-fi
-
-if test "xx$2" == "xx"
-then
- DEST=$1o
-else
- DEST=$2
-fi
-
-if ! test -f $1
-then
- echo "source module $1 not found."
- exit 1
-fi
-
-SCAFDIR=`dirname $0`
-if ! test -f $SCAFDIR/scafc.pl;
-then
- SCAFDIR=`dirname $SCAFDIR`
- SCAFDIR="$SCAFDIR/lib/scaf"
- if ! test -f $SCAFDIR/scafc.pl
- then
- echo "scaf library not found in $SCAFDIR"
- exit 1
- fi
-fi
-
-TMP_S=`tempfile -s .s`
-$SCAFDIR/scafc.pl -I$SCAFDIR $1 > $TMP_S \
-&& gcc -export_dynamic -shared -o $DEST $TMP_S \
-&& strip --strip-unneeded $DEST \
-&& rm $TMP_S \
-|| exit 1